Get Customers
curl --request GET \
--url https://api-sandbox.revolv3.com/api/Customers \
--header 'x-revolv3-token: <api-key>'import requests
url = "https://api-sandbox.revolv3.com/api/Customers"
headers = {"x-revolv3-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-revolv3-token': '<api-key>'}};
fetch('https://api-sandbox.revolv3.com/api/Customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"customerId": 1,
"merchantCustomerRefId": "1234-5678-9101",
"firstName": "John",
"lastName": "Doe"
},
{
"customerId": 2,
"merchantCustomerRefId": "5678-1234-9101",
"firstName": "Jane",
"lastName": "Doe"
},
{
"customerId": 3,
"merchantCustomerRefId": "9101-5678-1234",
"firstName": "Jeremy",
"lastName": "Doe"
}
]{
"message": "Attempted to perform an unauthorized operation."
}{
"message": "Unable to find an entity with the provided data."
}Customers
Get Customers
Retrieves a list of customers associated with your merchant account. You can search for a specific customer using filters such as Merchant Customer Ref ID, first name, or last name.
The response includes key details for each matching customer — such as first name, last name, customer ID, and Merchant Customer Ref ID. This endpoint is commonly used for listing customers in internal tools, verifying account existence, or syncing customer records with your system.
GET
/
api
/
Customers
Get Customers
Authorizations
Query Parameters
Maximum string length:
100Maximum string length:
150Maximum string length:
150
